com.google.gwt.i18n.server

## Class GwtLocaleFactoryImpl

- java.lang.Object
- - com.google.gwt.i18n.server.GwtLocaleFactoryImpl

- All Implemented Interfaces:
    GwtLocaleFactory

      public class GwtLocaleFactoryImpl
      extends java.lang.Object
      implements GwtLocaleFactory

  Creates server-side GwtLocale instances. Thread-safe.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GwtLocaleFactoryImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear an embedded cache of instances when they are no longer needed.
    `GwtLocale` | `fromComponents(java.lang.String language, java.lang.String script, java.lang.String region, java.lang.String variant)` Construct a GWT locale from its component parts.
    `GwtLocale` | `fromString(java.lang.String localeName)` Get a GWT locale from a string conforming to a subset of BCP47 (specifically assuming extension tags are not present, at most one variant is present, and grandfathered tags are not supported; also private-use tags are only supported for the entire tag).
    `GwtLocale` | `getDefault()` Returns an instance of the default locale.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GwtLocaleFactoryImpl

          public GwtLocaleFactoryImpl()

  - ### Method Detail

    - #### clear

          public void clear()

      Clear an embedded cache of instances when they are no longer needed.

      Note that GwtLocale instances constructed after this is called will not maintain identity with instances constructed before this call.

    - #### fromComponents

          public GwtLocale fromComponents(java.lang.String language,
                                          java.lang.String script,
                                          java.lang.String region,
                                          java.lang.String variant)

      Description copied from interface: `GwtLocaleFactory`
      Construct a GWT locale from its component parts. Null or empty strings are accepted for parts not present.
      Specified by:
        `fromComponents` in interface `GwtLocaleFactory`
      Returns:
        GwtLocale instance, unique for a given set of values

    - #### fromString

          public GwtLocale fromString(java.lang.String localeName)

      Description copied from interface: `GwtLocaleFactory`
      Get a GWT locale from a string conforming to a subset of BCP47 (specifically assuming extension tags are not present, at most one variant is present, and grandfathered tags are not supported; also private-use tags are only supported for the entire tag). Only minimal validation of BCP47 tags is performed, and will continue with what it is able to parse if unexpected input is encountered. A null or empty string is treated as the default locale.
      Specified by:
        `fromString` in interface `GwtLocaleFactory`
      Returns:
        a locale instance, always the same one for a given localeName
      Throws:
        `java.lang.IllegalArgumentException` - if the supplied locale does not match BCP47 structural requirements.

    - #### getDefault

          public GwtLocale getDefault()

      Description copied from interface: `GwtLocaleFactory`
      Returns an instance of the default locale.
      Specified by:
        `getDefault` in interface `GwtLocaleFactory`